if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi

if [ -x /usr/bin/update-mime-database ]; then
  /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
fi

if [ -e usr/share/icons/gnome/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache -f usr/share/icons/gnome >/dev/null 2>&1
  fi
fi
( cd usr/lib ; rm -rf libjancy.so )
( cd usr/lib ; ln -sf libjancy.so.1.8 libjancy.so )
( cd usr/lib ; rm -rf libjancy.so.1.8 )
( cd usr/lib ; ln -sf libjancy.so.1.8.5 libjancy.so.1.8 )
